let both = require('./');
let chai    = require('chai');
let expect  = chai.expect;

describe('Both Core', () => {

  it('should be a function', () => {
    expect(both).to.be.an('function');
  });

  it('should deliver a `command` function', () => {
    expect(both.command).to.be.an('function');
  });

  it('should deliver a `on` function', () => {
    expect(both.on).to.be.an('function');
  });

  it('should deliver a `query` function', () => {
    expect(both.query).to.be.an('function');
  });

  it('should deliver a `use` function', () => {
    expect(both.use).to.be.an('function');
  });

  it('should deliver a registery object', () => {
    expect(both.registery).to.be.an('object');
  });

  it('should deliver a registery object with a commands-object', () => {
    expect(both.registery.commands).to.be.an('object');
  });

  it('should deliver a registery object with a listeners-object', () => {
    expect(both.registery.listeners).to.be.an('object');
  });
});
