var webpack = require("webpack");

module.exports = {
  entry: './src',
  output: {
    library: 'both.io',
    libraryTarget: 'commonjs2',
    path: __dirname + '/dist',
    filename: 'both.js'
  },
  // plugins: [
  //   new webpack.optimize.UglifyJsPlugin({minimize: true})
  // ],
  module: {
    loaders: [
      {
        test: /\.js$/,
        exclude: /node_modules/,
        loader: 'babel-loader'
      }
    ]
  }
};
