const both = (() => {

  let Both;

  // Both should be avaible as function as well as object
  Both = require('../execute');

  // Register-Module which manage the registery
  Both._globalRegistery = {};
  Both.register = require('../register');

  // Command-Module to register commands
  Both.command = require('../command');

  // Query-Module to register queries
  Both.query = require('../query');

  // On-Module to register command-listeners
  Both.on = require('../on');

  // Middleware-Module for third-party modules
  Both.use = require('../use');

  // Registery
  Both.registery = {
    commands: {},
    listeners: {},
    queries: {},
  };

  return Both;

})();

module.exports = both;
