const register = (...args) => {

  let both      = require('../both');
  let registerType = null;
  let registerName = null;
  let registerPayload = null;

  // Error Handling
  if (args.length < 2) {
    throw new Error('[both] the `register` module expects at least two arguments');
  }

  if (typeof args[0] !== 'string') {
    throw new Error('[both] the `register`module expects as first argument a registerType in string-format');
  } else {
    registerType = args[0];
  }

  if (args[1].toString() !== '[object Object]') {
    throw new Error('[both] the `register` module expects as second argument a object');
  } else {
    registerPayload = args[1];
  }

  if (registerPayload.name === undefined) {
    throw new Error('[both] the `register` module expets at least one `name` param in the given `registerObject`');
  } else {
    registerName = registerPayload.name;
  }

  // Module
  both._globalRegistery[registerType] = both._globalRegistery[registerType] || {};
  both._globalRegistery[registerType][registerName] = registerPayload;

};

module.exports = register;
