let both = require('../../../../both');

module.exports = (socket) => {
  if (socket !== 'undefined' && socket.on) {
    socket.on('connection', (io) => {
      io.on('both', (args, callback = false) => {
        let commandName = args.commandName;
        let payload = args.payload;
        both(commandName, payload, callback);
      });
    });
  }
};
